PYTONECTL(1)

NAME
pytonectl - remote control for pytone

SYNOPSIS
pytonectl [option] command

DESCRIPTION
pytonectl is a commandline remote control for a running PyTone instance. It communicates via Unix Sockets or TCP/IP with the running PyTone.

OPTIONS
-h, --help shows this help

-s, --server <hostname>
    connects to PyTone instance on <hostname>

-p, --port <port>
    connect to PyTone Server on given <port>

-f, --file <file>
    connect to PyTone UNIX socket <file>

COMMANDS

getplayerinfo
    show information on the song currently being played

playerforward
    play the next song in the playlist

playerpause
    pause the player

playerstart
    start/unpause the player

playertogglepause
    pause the player, if playing, or play, if paused

playerstop
    stop the player

playerratecurrentsong <rating>
    rate the song currently being played (1<=rating<=5)

playlistaddsongs <filenames>
    add files to end of playlist

playlistaddsongtop <filename>
    play file immediately

playlistclear
    clear the playlist

playlistdeleteplayedsongs
    remove all played songs from the playlist

playlistreplay
    mark all songs in the playlist as unplayed

playlistshuffle
    shuffle the playlist

SEE ALSO
The full documentation for PyTone

AUTHOR
PyTone was written by Jörg Lehmann <joerg@luga.de>. This manpage was written by Alexander Wirt <formorer@debian.org> for the Debian Distribution.